# File generated from our OpenAPI spec by Stainless.

from typing import Optional

from ..._models import BaseModel
from .chat_completion_role import ChatCompletionRole

__all__ = ["ChatCompletionMessage", "FunctionCall"]


class FunctionCall(BaseModel):
    arguments: str
    """
    The arguments to call the function with, as generated by the model in JSON
    format. Note that the model does not always generate valid JSON, and may
    hallucinate parameters not defined by your function schema. Validate the
    arguments in your code before calling your function.
    """

    name: str
    """The name of the function to call."""


class ChatCompletionMessage(BaseModel):
    content: Optional[str]
    """The contents of the message."""

    role: ChatCompletionRole
    """The role of the author of this message."""

    function_call: Optional[FunctionCall] = None
    """
    The name and arguments of a function that should be called, as generated by the
    model.
    """
